Page MenuHomePhabricator

mobile-html: prioritized list of remaining bugs & feature requests
Closed, ResolvedPublicSpike

Description

This is a placeholder task to list findings from integrating the iOS mobile prototype with pagelib updates (footer, interaction handling, references).

Must have (in priority order):

  • [PR MERGED] Update footer design T230036
  • [DONE, pending testing] First paint performance T231201
  • [DONE] Add image URLs to offline endpoint T230067
  • [DONE] Description in the correct variant T227823
  • [DONE] Display title in the correct variant T227089
  • [DONE] Edit previewing T211026
  • [DONE] Language variant support for references T229012
  • [DONE] Protected pages appear as editable (unlocked pencil icon) T228437
  • [DONE] Allowing clients to specify if the “References” header should be shown (//false by default since we’ll be showing a native list in T218144)
  • [DONE] Expose article revision T229038
  • [DONE] Fix missing "Add title description" link
  • [DONE] Add ability to disable image loading (images are not loaded by default anymore)
  • [DONE] Need Filename info in interaction "data" for "image_clicked" T228536
  • [DONE] Add "title" and "text" to link_clicked interaction T228535
  • [DONE Need a callback for text selection on Android T228686
  • [DONE] Some pages are sized incorrectly on initial load T228287
  • [DONE] Pages contain excluded tables T228424

Good to have:

  • [DONE] Consider moving /page/metadata endpoint into mobile-html T230035
  • [DONE] Expose article revision T229038

Read more links don’t match the format of other article links (T228330) - we could then have 1 path for all the internal links

  • [DONE] Tapped reference’s id should match the id from the references endpoint - “lindblad2005_6-0” instead of “cite_ref-lindblad2005_6-0” (T228476) - we could avoid transforming the string before the fetch

Need to be implemented* on iOS

  • Find in page - implementation exists but would have to be injected as a separate user script

Related Objects

Event Timeline

Restricted Application changed the subtype of this task from "Task" to "Spike". · View Herald TranscriptJul 18 2019, 5:27 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
JoeWalsh updated the task description. (Show Details)Jul 19 2019, 3:32 PM
Sharvaniharan added a subscriber: Sharvaniharan.
bearND added a subscriber: bearND.Jul 22 2019, 3:45 PM
JoeWalsh renamed this task from Update mobile-html prototype to include footer & interaction handling to mobile-html: prioritized list of remaining bugs & feature requests.Jul 22 2019, 3:48 PM
JoeWalsh updated the task description. (Show Details)
JoeWalsh triaged this task as Medium priority.Jul 22 2019, 3:52 PM
JoeWalsh added a project: Epic.
JoeWalsh moved this task from Needs triage to Epics on the Product-Infrastructure-Team-Backlog board.
Sharvaniharan updated the task description. (Show Details)
JoeWalsh updated the task description. (Show Details)Jul 23 2019, 2:15 PM
JoeWalsh updated the task description. (Show Details)Jul 24 2019, 2:28 PM
bearND updated the task description. (Show Details)Jul 24 2019, 8:51 PM
JoeWalsh updated the task description. (Show Details)Jul 25 2019, 3:43 PM
JoeWalsh updated the task description. (Show Details)Jul 25 2019, 3:49 PM
JoeWalsh updated the task description. (Show Details)Jul 25 2019, 6:03 PM
JoeWalsh updated the task description. (Show Details)Jul 26 2019, 3:39 PM
bearND updated the task description. (Show Details)Jul 26 2019, 4:33 PM
JoeWalsh updated the task description. (Show Details)Jul 30 2019, 6:36 PM
bearND updated the task description. (Show Details)Jul 30 2019, 6:40 PM
bearND updated the task description. (Show Details)
bearND updated the task description. (Show Details)
JoeWalsh updated the task description. (Show Details)Jul 31 2019, 12:01 PM
JoeWalsh updated the task description. (Show Details)Jul 31 2019, 12:32 PM
JoeWalsh updated the task description. (Show Details)Jul 31 2019, 2:15 PM
JoeWalsh updated the task description. (Show Details)Aug 1 2019, 12:43 PM
JoeWalsh updated the task description. (Show Details)Aug 7 2019, 3:56 PM
JoeWalsh updated the task description. (Show Details)
JoeWalsh updated the task description. (Show Details)Aug 7 2019, 8:01 PM
JoeWalsh updated the task description. (Show Details)Aug 10 2019, 10:19 AM
MSantos updated the task description. (Show Details)Aug 13 2019, 5:08 PM
JoeWalsh updated the task description. (Show Details)Aug 29 2019, 5:53 PM
MSantos moved this task from Backlog to Epics on the Page Content Service board.Sep 2 2019, 4:55 PM
JoeWalsh updated the task description. (Show Details)Sep 11 2019, 12:45 PM
JoeWalsh updated the task description. (Show Details)Sep 18 2019, 7:04 PM
JMinor closed this task as Resolved.Oct 1 2019, 7:26 PM
JMinor claimed this task.
JoeWalsh updated the task description. (Show Details)Oct 7 2019, 3:50 PM